//Fix: added those shader
//then renaming the path for not conflivting with original shaders tectures and ut41 files
textures/fix_blight/baslt4_1_2k
{
	qer_editorimage textures/fix_blight/baslt4_1.tga
	surfaceparm nomarks
	q3map_surfacelight 2000
	//light 1

	// New Fluorescent light
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/fix_blight/baslt4_1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/fix_blight/baslt4_1.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/fix_blight/light1blue_1500
{
	qer_editorimage textures/fix_blight/light1blue.tga
	q3map_lightimage textures/fix_blight/light1blue.blend.tga
	surfaceparm nomarks
	q3map_surfacelight 1500
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/fix_blight/light1blue.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{	
		map textures/fix_blight/light1blue.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/fix_bsupport/x_support
{
	surfaceparm	metalsteps	
	surfaceparm trans	
	surfaceparm alphashadow
    surfaceparm nomarks	
	cull none
        nopicmip
	{
		map textures/fix_bsupport/x_support.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

//bakes window
textures/f_elpre/bakerglass
{
	qer_editorimage textures/f_elpre/bakerglass.tga
	qer_trans 0.3
	surfaceparm trans
	{
		map textures/f_elpre/bakerglass.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map textures/effects/tinfx3.tga
		tcGen environment
		blendfunc GL_ONE GL_ONE
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}
// Skybox
textures/f_elpre/sky
{
	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nomarks
	q3map_surfacelight 100
	// note: Change the surfacelight value if you want more ambient 	light from the sky.
	q3map_sun 1 .9 .8 200 40 70
	// note: Change the fourth value if you want a brighter or 	dimmer sun
	skyparms textures/f_elpre/env/sky - -
}
// glassy
textures/f_elpre/glass	
{
	qer_editorimage textures/f_elpre/glass.jpg
	qer_trans 0.5
	surfaceparm nolightmap
	surfaceparm solid
	{
		map textures/effects/tinfx2b.tga
		tcGen environment
		blendfunc GL_ONE GL_ONE
	}
}
//Large Purple Framed Windows
textures/fix_utwindows/urban_window01
{
	{	
		map textures/fix_utwindows/urban_window01.tga
	}
	{
		map textures/effects/tinfx.tga
		tcgen environment
		blendFunc GL_ONE GL_ONE
	}
	{
		map textures/fix_utwindows/urban_window01.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_src_color
	}
}
textures/fix_ubterror/ladderclip
{
	qer_trans 0.40
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm playerclip
	surfaceparm noimpact
	surfaceparm ladder
}
textures/fix_ubterror3/wu_railing_white
{
	qer_editorimage textures/fix_ubterror3/wu_railing_white.tga
	surfaceparm trans
	cull none
	nopicmip
	{
		map textures/fix_ubterror3/wu_railing_white.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}
//=================
//Map Model Shaders
//=================
//Fern
models\mapobjects\multiplant\fern
{	
	surfaceparm alphashadow
	cull none
	nopicmip
	{
		map models\mapobjects\multiplant\fern.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identityLighting
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}
//batleaf
models\mapobjects\multiplant\batleaf
{	
	surfaceparm alphashadow
	cull none
	
	{
		map models\mapobjects\multiplant\batleaf.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identityLighting
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}
//Invisible Leaf
models\mapobjects\multiplant\invisible
{
	surfaceparm alphashadow
	surfaceparm nolightmap			
	{
		map models\mapobjects\multiplant\invisible.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}
//Nateleaf1
models/mapobjects/nateleaf1/tree2
{
	cull disable
	surfaceparm alphashadow
	{
		map models/mapobjects/nateleaf1/tree2.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}
////////////////////////////////
//SNOW PLANTS
////////////////////////////////
models/mapobjects/urbanterror/sn_plant1/sn_plant2
{
	//	cull none
	surfaceparm alphashadow
	nopicmip
	
	deformVertexes wave 15 sin 0 2 0 .1
	cull disable
	surfaceparm trans
	//	deformVertexes autoSprite
	{
		map models/mapobjects/urbanterror/sn_plant1/sn_plant2.tga
		//		blendfunc blend
		alphafunc GE128
		rgbGen vertex
	}
}
models/mapobjects/urbanterror/sn_lightbulb/sn_lightbulb
{
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm nomarks
	nopicmip
	{
		map models/mapobjects/urbanterror/sn_lightbulb/sn_lightbulb.tga
	}
}
models/mapobjects/urbanterror/sn_fueltank/sn_fueltank
{
	qer_editorimage models/mapobjects/urbanterror/sn_fueltank/sn_fueltank.tga
	surfaceparm alphashadow
	cull none
	nopicmip
	{
		map models/mapobjects/urbanterror/sn_fueltank/sn_fueltank.tga
		alphaFunc GE128
		rgbGen vertex
	}
}
models/mapobjects/urbanterror/sn_comsat/sn_comsat
{
	qer_editorimage models/mapobjects/urbanterror/sn_comsat/sn_comsat.tga
	q3map_clipmodel
	nopicmip
	{
		map models/mapobjects/urbanterror/sn_comsat/sn_comsat.tga
		rgbGen vertex
	}
}
models/mapobjects/aamjs_mod/bush01
{
	surfaceparm trans
	surfaceparm alphashadow	
	cull none
	nopicmip
	surfaceparm pointlight
	q3map_vertexscale 4
	{
		map models/mapobjects/aamjs_mod/bush01.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}
models/mapobjects/aamjs_mod/treetallthin2
{
	qer_trans .5
	surfaceparm trans
	surfaceparm alphashadow
	cull none
	nopicmip
	surfaceparm pointlight
	q3map_vertexscale 1.5
	{
		map models/mapobjects/aamjs_mod/treetallthin2.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}
//====================================================
// Tree-mapmodels (c) GrimReaper
// thanks to Fatmanfat for help with the shader
models/mapobjects/GR_trees/tree
{
	surfaceparm alphashadow
	surfaceparm trans
	cull none
	nopicmip
	{
		map models/mapobjects/GR_trees/tree.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}
models/mapobjects/GR_trees/tree2
{
	surfaceparm alphashadow
	surfaceparm trans
	cull none
	nopicmip
	{
		map models/mapobjects/GR_trees/tree2.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}
models/mapobjects/GR_trees/tree3
{
	surfaceparm alphashadow
	surfaceparm trans
	cull none
	nopicmip
	{
		map models/mapobjects/GR_trees/tree3.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}
models/mapobjects/GR_trees/tree4
{
	surfaceparm alphashadow
	surfaceparm trans
	cull none
	nopicmip
	{
		map models/mapobjects/GR_trees/tree4.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}
models/mapobjects/GR_trees/nadel
{
	surfaceparm alphashadow
	surfaceparm trans
	cull none
	nopicmip
	{
		map models/mapobjects/GR_trees/nadel.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}
models/mapobjects/GR_trees/nadelsnow
{
	surfaceparm alphashadow
	surfaceparm trans
	cull none
	nopicmip
	{
		map models/mapobjects/GR_trees/nadelsnow.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}
models/mapobjects/GR_trees/nadelsnowr
{
	surfaceparm alphashadow
	surfaceparm trans
	cull none
	nopicmip
	{
		map models/mapobjects/GR_trees/nadelsnowr.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}
models/mapobjects/GR_trees/nadelsnowb
{
	surfaceparm alphashadow
	surfaceparm trans
	cull none
	nopicmip
	{
		map models/mapobjects/GR_trees/nadelsnowb.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}
models/mapobjects/GR_trees/nadelsnowg
{
	surfaceparm alphashadow
	surfaceparm trans
	cull none
	nopicmip
	{
		map models/mapobjects/GR_trees/nadelsnowg.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}
models/mapobjects/GR_trees/kerzeblau
{
	surfaceparm alphashadow
	surfaceparm trans
	cull none
	nopicmip
	{
		map models/mapobjects/GR_trees/kerzeblau.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}
models/mapobjects/GR_trees/kerzerot
{
	surfaceparm alphashadow
	surfaceparm trans
	cull none
	nopicmip
	{
		map models/mapobjects/GR_trees/kerzerot.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}
models/mapobjects/GR_trees/tree5
{
	surfaceparm alphashadow
	surfaceparm trans
	cull none
	nopicmip
	{
		map models/mapobjects/GR_trees/tree5.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}
models/mapobjects/GR_trees/tree6
{
	surfaceparm alphashadow
	surfaceparm trans
	cull none
	nopicmip
	{
		map models/mapobjects/GR_trees/tree6.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}
//======================
models\mapobjects\palm2\trunk
{	
	DeformVertexes autosprite2
	surfaceparm alphashadow
	cull none
	nopicmip
	{
		map models/mapobjects/palm2/trunk.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identityLighting
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}
models/mapobjects/palm2/trunk
{	
	DeformVertexes autosprite2
	surfaceparm alphashadow
	cull none
	nopicmip
	{
		map models/mapobjects/palm2/trunk.tga
		depthWrite
		rgbGen identityLighting
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}
models\mapobjects\palm1\palm1
{	
	DeformVertexes autosprite2
	surfaceparm alphashadow
	cull none
	nopicmip
	{
		map models/mapobjects/palm1/palm1.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identityLighting
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}
models/mapobjects/palm3/palmtop
{	
	DeformVertexes autosprite
	surfaceparm alphashadow
	cull none
	nopicmip
	{
		map models/mapobjects/palm3/palmtop.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identityLighting
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}
textures/cow/cow_metal5
{
	surfaceparm metalsteps
	qer_editorimage textures/fix_btrim/pewter_shiney.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/fix_btrim/pewter_shiney.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}
